diff -Nurd kipi-plugins-1.1.0/CMakeLists.txt kipi-plugins-1.1.0-new/CMakeLists.txt
--- kipi-plugins-1.1.0/CMakeLists.txt	2010-01-31 10:25:54.000000000 -0500
+++ kipi-plugins-1.1.0-new/CMakeLists.txt	2010-02-02 19:04:21.000000000 -0500
@@ -123,11 +123,7 @@
 MACRO_OPTIONAL_FIND_PACKAGE(KdepimLibs) # For Calendar (libkcal).
 MACRO_OPTIONAL_FIND_PACKAGE(QCA2)       # For Shwup.
 MACRO_OPTIONAL_FIND_PACKAGE(KSane)      # For AcquireImages.
-
-# X11 check, LINUX Only.
-IF(NOT WIN32 AND NOT APPLE)
-    MACRO_OPTIONAL_FIND_PACKAGE(X11)   # For AdvancedSlideshow and ImageViewer.
-ENDIF(NOT WIN32 AND NOT APPLE)
+MACRO_OPTIONAL_FIND_PACKAGE(X11)        # For AdvancedSlideshow and ImageViewer.
 
 IF(NOT WIN32)
     FIND_PACKAGE(PkgConfig)
@@ -202,9 +198,9 @@
 ENDIF(OPENMP_VERSION_CMAKE)
 
 # LINUX Only.
-IF(NOT WIN32 AND NOT APPLE)
+IF(NOT WIN32)
     PRINT_OPTIONAL_LIBRARY_STATUS("libX11" X11_FOUND AND X11_Xrandr_FOUND)
-ENDIF(NOT WIN32 AND NOT APPLE)
+ENDIF(NOT WIN32)
 
 PRINT_OPTIONAL_LIBRARY_STATUS("libksane" KSANE_FOUND)
 
@@ -225,13 +221,13 @@
 PRINT_PLUGIN_COMPILE_STATUS("Shwup" QCA2_FOUND)
 PRINT_PLUGIN_COMPILE_STATUS("HtmlExport" LIBXML2_FOUND AND LIBXSLT_FOUND)
 
-IF(NOT WIN32 AND NOT APPLE)
+IF(NOT WIN32)
     PRINT_PLUGIN_COMPILE_STATUS("AdvancedSlideshow" X11_FOUND AND X11_Xrandr_FOUND AND OPENGL_FOUND AND OPENGL_GLU_FOUND)
     PRINT_PLUGIN_COMPILE_STATUS("ImageViewer" X11_FOUND AND X11_Xrandr_FOUND AND OPENGL_FOUND AND OPENGL_GLU_FOUND)
-ELSE(NOT WIN32 AND NOT APPLE)
+ELSE(NOT WIN32)
     PRINT_PLUGIN_COMPILE_STATUS("AdvancedSlideshow" OPENGL_FOUND AND OPENGL_GLU_FOUND)
     PRINT_PLUGIN_COMPILE_STATUS("ImageViewer" OPENGL_FOUND AND OPENGL_GLU_FOUND)
-ENDIF(NOT WIN32 AND NOT APPLE)
+ENDIF(NOT WIN32)
 
 PRINT_PLUGIN_COMPILE_STATUS("AcquireImages" KSANE_FOUND)
 PRINT_PLUGIN_COMPILE_STATUS("DNGConverter" EXPAT_FOUND AND KDCRAW_FOR_DNGCONVERTER)
@@ -341,7 +337,7 @@
         ADD_SUBDIRECTORY(acquireimages)
     ENDIF(KSANE_FOUND)
 
-    IF(NOT WIN32 AND NOT APPLE)
+    IF(Q_WS_X11)
 
         # Plugins which depend on OpenGL
         IF(X11_FOUND AND X11_Xrandr_FOUND AND OPENGL_FOUND AND OPENGL_GLU_FOUND)
@@ -350,7 +346,7 @@
             ADD_SUBDIRECTORY(imageviewer)
         ENDIF(X11_FOUND AND X11_Xrandr_FOUND AND OPENGL_FOUND AND OPENGL_GLU_FOUND)
 
-    ELSE(NOT WIN32 AND NOT APPLE)
+    ELSE(Q_WS_X11)
 
         # Plugins which depend on OpenGL
         IF(OPENGL_FOUND AND OPENGL_GLU_FOUND)
@@ -358,7 +354,7 @@
             ADD_SUBDIRECTORY(imageviewer)
         ENDIF(OPENGL_FOUND AND OPENGL_GLU_FOUND)
 
-    ENDIF(NOT WIN32 AND NOT APPLE)
+    ENDIF(Q_WS_X11)
 
     IF(EXPAT_FOUND AND KDCRAW_FOR_DNGCONVERTER)
         IF(CMAKE_USE_PTHREADS_INIT OR CMAKE_USE_WIN32_THREADS_INIT)
diff -Nurd kipi-plugins-1.1.0/acquireimages/CMakeLists.txt kipi-plugins-1.1.0-new/acquireimages/CMakeLists.txt
--- kipi-plugins-1.1.0/acquireimages/CMakeLists.txt	2010-01-31 10:17:19.000000000 -0500
+++ kipi-plugins-1.1.0-new/acquireimages/CMakeLists.txt	2010-02-02 19:04:21.000000000 -0500
@@ -1,4 +1,4 @@
-INCLUDE_DIRECTORIES(${KSANE_INCLUDE_DIR})
+INCLUDE_DIRECTORIES(${KSANE_INCLUDE_DIR} ${JPEG_INCLUDE_DIR} ${PNG_PNG_INCLUDE_DIR} ${TIFF_INCLUDE_DIR})
 
 SET(kipiplugin_acquireimages_PART_SRCS
     plugin_acquireimages.cpp
diff -Nurd kipi-plugins-1.1.0/advancedslideshow/CMakeLists.txt kipi-plugins-1.1.0-new/advancedslideshow/CMakeLists.txt
--- kipi-plugins-1.1.0/advancedslideshow/CMakeLists.txt	2010-01-31 10:17:26.000000000 -0500
+++ kipi-plugins-1.1.0-new/advancedslideshow/CMakeLists.txt	2010-02-02 19:04:21.000000000 -0500
@@ -1,3 +1,4 @@
+INCLUDE_DIRECTORIES(${OPENGL_INCLUDE_DIR})
 SUBDIRS(icons)
 
 SET(kipiplugin_advancedslideshow_PART_SRCS commoncontainer.cpp
diff -Nurd kipi-plugins-1.1.0/advancedslideshow/listsounditems.h kipi-plugins-1.1.0-new/advancedslideshow/listsounditems.h
--- kipi-plugins-1.1.0/advancedslideshow/listsounditems.h	2010-01-31 10:17:26.000000000 -0500
+++ kipi-plugins-1.1.0-new/advancedslideshow/listsounditems.h	2010-02-02 19:04:21.000000000 -0500
@@ -37,7 +37,6 @@
 
 // Phonon includes
 
-#include <Phonon/Global>
 #include <Phonon/MediaObject>
 
 // KDE includes
diff -Nurd kipi-plugins-1.1.0/advancedslideshow/playbackwidget.h kipi-plugins-1.1.0-new/advancedslideshow/playbackwidget.h
--- kipi-plugins-1.1.0/advancedslideshow/playbackwidget.h	2010-01-31 10:17:26.000000000 -0500
+++ kipi-plugins-1.1.0-new/advancedslideshow/playbackwidget.h	2010-02-02 19:04:21.000000000 -0500
@@ -32,7 +32,6 @@
 
 #include <Phonon/MediaObject>
 #include <Phonon/AudioOutput>
-#include <Phonon/Global>
 #include <Phonon/VolumeSlider>
 
 // KDE includes
diff -Nurd kipi-plugins-1.1.0/advancedslideshow/slideshowgl.cpp kipi-plugins-1.1.0-new/advancedslideshow/slideshowgl.cpp
--- kipi-plugins-1.1.0/advancedslideshow/slideshowgl.cpp	2010-01-31 10:17:26.000000000 -0500
+++ kipi-plugins-1.1.0-new/advancedslideshow/slideshowgl.cpp	2010-02-02 19:04:21.000000000 -0500
@@ -223,7 +223,7 @@
     glGetIntegerv(GL_MAX_TEXTURE_SIZE, &maxTexVal);
 
     // allow only maximum texture value of 1024. anything bigger and things slow down
-    maxTexVal = qMin(1024, maxTexVal);
+    maxTexVal = qMin((GLint)1024, maxTexVal);
 
     m_width  = QApplication::desktop()->width();
     m_height = QApplication::desktop()->height();
@@ -231,8 +231,8 @@
     m_width  = 1 << (int)ceil(log((float)m_width) / log((float)2)) ;
     m_height = 1 << (int)ceil(log((float)m_height) / log((float)2));
 
-    m_width  = qMin( maxTexVal, m_width );
-    m_height = qMin( maxTexVal, m_height );
+    m_width  = qMin( maxTexVal, (GLint)m_width );
+    m_height = qMin( maxTexVal, (GLint)m_height );
 
     // load the first image
 
diff -Nurd kipi-plugins-1.1.0/dngconverter/CMakeLists.txt kipi-plugins-1.1.0-new/dngconverter/CMakeLists.txt
--- kipi-plugins-1.1.0/dngconverter/CMakeLists.txt	2010-01-31 10:17:35.000000000 -0500
+++ kipi-plugins-1.1.0-new/dngconverter/CMakeLists.txt	2010-02-02 19:04:21.000000000 -0500
@@ -23,6 +23,9 @@
                    )
 ELSE(WIN32)
 #    NOTE: see B.K.O #195735: do not enable Mac flags provided by Adobe.
+        INCLUDE_DIRECTORIES(
+                        /System/Library/Frameworks/CoreServices.framework/Frameworks/CarbonCore.framework/Headers
+        )
 #          Sound like all compile fine like under Linux.
 #    IF(APPLE)
 #        ADD_DEFINITIONS(
diff -Nurd kipi-plugins-1.1.0/dngconverter/dngwriter/extra/dng_sdk/dng_date_time.cpp kipi-plugins-1.1.0-new/dngconverter/dngwriter/extra/dng_sdk/dng_date_time.cpp
--- kipi-plugins-1.1.0/dngconverter/dngwriter/extra/dng_sdk/dng_date_time.cpp	2010-01-31 10:17:35.000000000 -0500
+++ kipi-plugins-1.1.0-new/dngconverter/dngwriter/extra/dng_sdk/dng_date_time.cpp	2010-02-02 19:04:21.000000000 -0500
@@ -23,7 +23,7 @@
 #include <time.h>
 
 #if qMacOS
-#include <CoreServices/CoreServices.h>
+#include <CoreFoundation/CoreFoundation.h>
 #endif
 
 #if qWinOS
diff -Nurd kipi-plugins-1.1.0/dngconverter/dngwriter/extra/dng_sdk/dng_string.cpp kipi-plugins-1.1.0-new/dngconverter/dngwriter/extra/dng_sdk/dng_string.cpp
--- kipi-plugins-1.1.0/dngconverter/dngwriter/extra/dng_sdk/dng_string.cpp	2010-01-31 10:17:35.000000000 -0500
+++ kipi-plugins-1.1.0-new/dngconverter/dngwriter/extra/dng_sdk/dng_string.cpp	2010-02-02 19:04:21.000000000 -0500
@@ -21,7 +21,8 @@
 #include "dng_utils.h"
 
 #if qMacOS
-#include <CoreServices/CoreServices.h>
+#include <CoreFoundation/CoreFoundation.h>
+#include <CarbonCore.h>
 #endif
 
 #if qWinOS
diff -Nurd kipi-plugins-1.1.0/dngconverter/dngwriter/extra/dng_sdk/dng_utils.cpp kipi-plugins-1.1.0-new/dngconverter/dngwriter/extra/dng_sdk/dng_utils.cpp
--- kipi-plugins-1.1.0/dngconverter/dngwriter/extra/dng_sdk/dng_utils.cpp	2010-01-31 10:17:35.000000000 -0500
+++ kipi-plugins-1.1.0-new/dngconverter/dngwriter/extra/dng_sdk/dng_utils.cpp	2010-02-02 19:04:21.000000000 -0500
@@ -17,7 +17,7 @@
 #include "dng_assertions.h"
 
 #if qMacOS
-#include <CoreServices/CoreServices.h>
+#include <CoreFoundation/CoreFoundation.h>
 #endif
 
 #if qWinOS
diff -Nurd kipi-plugins-1.1.0/dngconverter/test/CMakeLists.txt kipi-plugins-1.1.0-new/dngconverter/test/CMakeLists.txt
--- kipi-plugins-1.1.0/dngconverter/test/CMakeLists.txt	2010-01-31 10:17:33.000000000 -0500
+++ kipi-plugins-1.1.0-new/dngconverter/test/CMakeLists.txt	2010-02-02 19:04:21.000000000 -0500
@@ -27,6 +27,9 @@
                       ${EXPAT_LIBRARY}
                       ${CMAKE_THREAD_LIBS_INIT}
                      )
+IF(APPLE)
+TARGET_LINK_LIBRARIES(dngvalidate "-framework CoreFoundation" "-framework Carbon")
+ENDIF(APPLE)
 
 # =======================================================
 # RAW2DNG command line tool
diff -Nurd kipi-plugins-1.1.0/expoblending/CMakeLists.txt kipi-plugins-1.1.0-new/expoblending/CMakeLists.txt
--- kipi-plugins-1.1.0/expoblending/CMakeLists.txt	2010-01-31 10:17:40.000000000 -0500
+++ kipi-plugins-1.1.0-new/expoblending/CMakeLists.txt	2010-02-02 19:05:24.000000000 -0500
@@ -3,6 +3,7 @@
 INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/importwizard
                     ${CMAKE_CURRENT_SOURCE_DIR}/blendingdlg
                     ${CMAKE_CURRENT_SOURCE_DIR}/manager
+                    ${JPEG_INCLUDE_DIR} ${PNG_PNG_INCLUDE_DIR} ${TIFF_INCLUDE_DIR}
                    )
 
 SET(expoblending_common_SRCS
diff -Nurd kipi-plugins-1.1.0/imageviewer/CMakeLists.txt kipi-plugins-1.1.0-new/imageviewer/CMakeLists.txt
--- kipi-plugins-1.1.0/imageviewer/CMakeLists.txt	2010-01-31 10:17:27.000000000 -0500
+++ kipi-plugins-1.1.0-new/imageviewer/CMakeLists.txt	2010-02-02 19:04:21.000000000 -0500
@@ -1,3 +1,5 @@
+INCLUDE_DIRECTORIES(${OPENGL_INCLUDE_DIR})
+
 SUBDIRS(icons cursors)
 
 SET(kipiplugin_imageviewer_PART_SRCS 
diff -Nurd kipi-plugins-1.1.0/sendimages/CMakeLists.txt kipi-plugins-1.1.0-new/sendimages/CMakeLists.txt
--- kipi-plugins-1.1.0/sendimages/CMakeLists.txt	2010-01-31 10:17:30.000000000 -0500
+++ kipi-plugins-1.1.0-new/sendimages/CMakeLists.txt	2010-02-02 19:04:21.000000000 -0500
@@ -1,3 +1,4 @@
+INCLUDE_DIRECTORIES(${JPEG_INCLUDE_DIR} ${PNG_INCLUDE_DIR} ${TIFF_INCLUDE_DIR})
 
 SET(kipiplugin_sendimages_PART_SRCS plugin_sendimages.cpp 
                                     sendimagesdialog.cpp 
